Create a contact

Create a contact

post
/workspaces/{workspaceId}/contacts

The contact creation endpoint allows adding a new contact with multiple identifiers, attributes, and lists, specifying their details and associations during the creation process.

Authorizations
AuthorizationstringRequired

An access token issued to a user.

Path parameters
workspaceIdstring · uuidRequired

Your workspace identifier.

Example: b4e02c85-c6d2-4b15-8885-e09671799c61
Body
displayNamestring · min: 1 · max: 150Required

The display name for the contact.

Example: John Doe
accountIdsstring[] · min: 1 · max: 10Optional

The list of account ids for the contact.

Example: 123e4567-e89b-12d3-a456-426614174000
listIdsstring[] · min: 1 · max: 10Optional

The list of list ids for the contact.

Example: 123e4567-e89b-12d3-a456-426614174000
companyRefsstring[]Optional

The list of company references for the contact.

Other propertiesanyOptional
Responses
chevron-right
201

The contact was created successfully.

application/json
idstringRequired

The unique identifier for the contact.

Example: 123e4567-e89b-12d3-a456-426614174000
computedDisplayNamestringOptional

The computed display name for the contact. It can be derived, in the following order if available, from the displayName attribute, the firstName attribute, the emailaddress identifier, or the phonenumber identifier.

Example: John Doe
createdAtstring · date-timeRequired
updatedAtstring · date-timeRequired
workspaceIdstringOptional

Your workspace identifier.

Example: 123e4567-e89b-12d3-a456-426614174000
identifierCountintegerOptional

The number of identifiers for the contact.

Example: 2
accountIdsstring[]Optional

The list of account ids for the contact.

Example: 123e4567-e89b-12d3-a456-426614174000
listIdsstring[]Optional

The list of list ids for the contact.

Example: 123e4567-e89b-12d3-a456-426614174000
companyRefsstring[]Optional

The list of company references for the contact.

isAnonymousbooleanOptional

Whether the contact is anonymous. A contact is anonymous if it has no identifiers, or only has visitorid identifiers.

post
/workspaces/{workspaceId}/contacts

Examples

Let's establish some of our data that will be used in the following examples:

  • Workspace ID: a1405560-c8d3-4b1a-877d-3f449ad95352

  • AccessKey: abcd

Create a contact with identifiers

In this example, we're creating a contact providing identifiers. To know more about identifiers, please refer to this documentation.

Create a contact with attributes

In this example, we're creating a contact providing attributes. To know more about attributes, please refer to this documentation.

Create a contact with lists

In this example, we're creating a contact providing list IDs. To knoe more about lists, please refer to this documentation.

Create a contact with providing all the details

In this example, we're creating a contact providing all the examples above.

Last updated

Was this helpful?